Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.jst.jsf.metadataprocessors.internal.provisional.features
Interface IPossibleValues

All Superinterfaces:
  IMetaDataEnabledFeature

All Known Implementing Classes:
  ActionType, BooleanType, FacesConfigIdentifierFeatures, JavaClassType, StringType

public interface IPossibleValues
extends IMetaDataEnabledFeature

Interface for providing possible values.

Field Summary
`static java.lang.String` | `POSSIBLE_VALUES_FOR_DISPLAY_PROP_NAME` Default name of property in annotation file to use when supplying possible displayed values from meta-data
`static java.lang.String` | `POSSIBLE_VALUES_PROP_NAME` Default name of property in annotation file to use when supplying possible values from meta-data
`static java.lang.String` | `POSSIBLE_VALUES_SMALL_ICON_PROP_NAME` Default name of property in annotation file to use when supplying icon displayed values from meta-data

Method Summary
`java.util.List` | `getPossibleValues()`

Methods inherited from interface org.eclipse.jst.jsf.metadataprocessors.internal.provisional.IMetaDataEnabledFeature
`getBundleID, getCMAnnotationContext, getStructuredDocumentContext, setBundleID, setContentModelContext, setStructuredDocumentContext`

Field Detail

### POSSIBLE_VALUES_PROP_NAME

    public static final java.lang.String POSSIBLE_VALUES_PROP_NAME

  Default name of property in annotation file to use when supplying possible values from meta-data

  See Also:
    Constant Field Values

### POSSIBLE_VALUES_FOR_DISPLAY_PROP_NAME

    public static final java.lang.String POSSIBLE_VALUES_FOR_DISPLAY_PROP_NAME

  Default name of property in annotation file to use when supplying possible displayed values from meta-data

  See Also:
    Constant Field Values

### POSSIBLE_VALUES_SMALL_ICON_PROP_NAME

    public static final java.lang.String POSSIBLE_VALUES_SMALL_ICON_PROP_NAME

  Default name of property in annotation file to use when supplying icon displayed values from meta-data

  See Also:
    Constant Field Values

Method Detail

### getPossibleValues

    public java.util.List getPossibleValues()

  Returns:
    List of IPossibleValue instances representing possible values Implementer must ensure that an empty rather than null list is returned if no values are posssible.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD